import type { BannerType } from '../typings/business';
export type BannerDataType = {
    title: string;
    description: string;
    actionTitle?: string;
    type: BannerType;
};
export declare const BANNER_DATA: (description?: string, action?: string) => {
    REGISTER: {
        title: string;
        description: string;
        actionTitle: string;
        type: string;
    };
    APPROVED: {
        title: string;
        description: string;
        actionTitle: string;
        type: string;
    };
    PENDING: {
        title: string;
        description: string;
    };
    REJECTED: {
        title: string;
        description: string;
        actionTitle: string;
        type: string;
    };
};
