"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.arrayLength = exports.addOrRemoveArr = void 0;
const addOrRemoveArr = (array, value) => {
    const index = array.indexOf(value);
    if (index === -1) {
        array.push(value);
    }
    else {
        array.splice(index, 1);
    }
    return array;
};
exports.addOrRemoveArr = addOrRemoveArr;
const arrayLength = (obj) => {
    let len = 0;
    for (const key in obj) {
        if (Array.isArray(obj[key])) {
            len += obj[key].length;
        }
    }
    return len;
};
exports.arrayLength = arrayLength;
