"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDateFormat = void 0;
const moment_1 = __importDefault(require("moment"));
const getDateFormat = (date) => {
    const daysDifference = (0, moment_1.default)(date).diff((0, moment_1.default)(), 'days');
    const isFuture = daysDifference > 0;
    const absoluteDaysDifference = Math.abs(daysDifference);
    return isFuture
        ? `${absoluteDaysDifference} days left`
        : `${absoluteDaysDifference} days ago`;
};
exports.getDateFormat = getDateFormat;
