export declare const CBFS_INITIAL_DATA: {
    contactNumber: string;
    businessRole: string;
    business: string;
    fullName: string;
    email: string;
    businessName: string;
    businessType: string;
    businessAddress: string;
    ntn: string;
    partnerCnic: never[];
    partnershipDeed: never[];
    incorporationCertificate: never[];
    authorityLetter: never[];
    bankDetails: {
        bankCode: string;
        accountTitle: string;
        accountNumber: string;
        iban: string;
    };
};
export declare const BusinessType: {
    partnership: {
        partnerCnic: never[];
        partnershipDeed: never[];
        incorporationCertificate: never[];
        authorityLetter: never[];
    };
    company: {
        directorsResolution: never[];
        memorandumArticlesAssociation: never[];
        boardMemberCnic: never[];
        pocCnic: never[];
        beneficialOwnerCnic: never[];
    };
    soleProprietorship: {
        cnicFront: never[];
        cnicBack: never[];
        proprietorshipDeclaration: never[];
        ntnCertificate: never[];
        bankStatement: never[];
    };
};
export declare const BUSINESS_TYPE: {
    name: string;
    value: string;
}[];
export declare const TRANSACTION_METHOD: {
    value: string;
    label: string;
}[];
export declare const CREATE_LOAN: {
    invoice_data: never[];
    required_financing: number;
    tenure: number;
};
export type PERDICTION = {
    amountPending: number;
    amountRepaid: number;
    lateFeesPending: number;
    lateFeesRepaid: number;
    markupPending: number;
    markupRepaid: number;
    statementTransactions: any[];
};
