"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CREATE_LOAN = exports.TRANSACTION_METHOD = exports.BUSINESS_TYPE = exports.BusinessType = exports.CBFS_INITIAL_DATA = void 0;
exports.CBFS_INITIAL_DATA = {
    contactNumber: '',
    businessRole: '',
    business: '',
    fullName: '',
    email: '',
    businessName: '',
    businessType: 'partnership',
    businessAddress: '',
    ntn: '',
    partnerCnic: [],
    partnershipDeed: [],
    incorporationCertificate: [],
    authorityLetter: [],
    bankDetails: {
        bankCode: '061',
        accountTitle: '',
        accountNumber: '',
        iban: ''
    }
};
exports.BusinessType = {
    partnership: {
        partnerCnic: [],
        partnershipDeed: [],
        incorporationCertificate: [],
        authorityLetter: []
    },
    company: {
        directorsResolution: [],
        memorandumArticlesAssociation: [],
        boardMemberCnic: [],
        pocCnic: [],
        beneficialOwnerCnic: []
    },
    soleProprietorship: {
        cnicFront: [],
        cnicBack: [],
        proprietorshipDeclaration: [],
        ntnCertificate: [],
        bankStatement: []
    }
};
exports.BUSINESS_TYPE = [
    {
        name: 'Partnership',
        value: 'partnership'
    },
    {
        name: 'Company',
        value: 'company'
    },
    {
        name: 'Sole Proprietorship',
        value: 'soleProprietorship'
    }
];
exports.TRANSACTION_METHOD = [
    { value: 'bank_transfer', label: 'Bank Transfer' },
    { value: 'cash_via_fso', label: 'Cash Via Fso' },
    { value: 'one_bill', label: 'One Bill' },
    { value: 'online_cash_deposit', label: 'Online Cash Deposit' },
    { value: 'clearing_cheque_deposit', label: 'Clearing Cheque Deposit' }
];
exports.CREATE_LOAN = {
    invoice_data: [],
    required_financing: 0,
    tenure: 0
};
