"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatFileSize = void 0;
const formatFileSize = (bytes) => {
    if (bytes === 0)
        return "0 Bytes";
    const k = 1024;
    const sizes = ["Bytes", "KB", "MB", "GB", "TB"];
    const i = parseInt(`${Math.floor(Math.log(bytes) / Math.log(k))}`);
    return Math.round((bytes / Math.pow(k, i)) * 100) / 100 + " " + sizes[i];
};
exports.formatFileSize = formatFileSize;
