"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllErrors = void 0;
const getAllErrors = (e) => {
    const fieldErrors = {};
    const messageErrors = [];
    if (e && e.errors && e.errors.length > 0) {
        e.errors.map(d => {
            if (d.field) {
                fieldErrors[d.field] = d.message;
            }
            else {
                messageErrors.push(d);
            }
        });
    }
    return { messageErrors, fieldErrors };
};
exports.getAllErrors = getAllErrors;
