"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertToTitleCase = exports.truncate = exports.pascalCase = exports.split = void 0;
const split = (string) => {
    return string.split('');
};
exports.split = split;
const pascalCase = (name = '') => {
    return name.charAt(0).toUpperCase() + name.slice(1).toLowerCase();
};
exports.pascalCase = pascalCase;
const truncate = (text, length) => {
    let str = text.substring(0, length).trim();
    if (text.length > length) {
        str += '...';
    }
    return str;
};
exports.truncate = truncate;
const convertToTitleCase = (str) => {
    return str.replace(/([A-Z])/g, ' $1').replace(/^./, function (str) {
        return str.toUpperCase();
    });
};
exports.convertToTitleCase = convertToTitleCase;
