"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFileExtensionFromUrl = void 0;
const getFileExtensionFromUrl = (url) => {
    const path = new URL(url).pathname;
    const matches = path.match(/\/([^/]+)$/);
    if (matches && matches[1]) {
        const fileNameWithExtension = matches[1];
        const extensionMatches = fileNameWithExtension.match(/\.([^.]+)$/);
        if (extensionMatches && extensionMatches[1]) {
            return extensionMatches[1];
        }
    }
    return null;
};
exports.getFileExtensionFromUrl = getFileExtensionFromUrl;
