export const split = (string: string): string[] => {
	return string.split('')
}

export const pascalCase = (name = '') => {
	return name.charAt(0).toUpperCase() + name.slice(1).toLowerCase()
}

export const truncate = (text: string, length: number) => {
	let str = text.substring(0, length).trim()

	if (text.length > length) {
		str += '...'
	}

	return str
}

export const convertToTitleCase = (str: string) => {
	return str.replace(/([A-Z])/g, ' $1').replace(/^./, function (str) {
		return str.toUpperCase()
	})
}
